booster::locale::date_time_period_set Class Reference
Date, Time, Timezone and Calendar manipulations

this class that represents a set of periods, More...

`#include <booster/booster/locale/date_time.h>`

## Public Member Functions

| date_time_period_set ()
| date_time_period_set (period::period_type f)
| date_time_period_set (date_time_period const &fl)
void | add (date_time_period f)
size_t | size () const
date_time_period const & | operator[] (size_t n) const

## Detailed Description

this class that represents a set of periods,

It is generally created by operations on periods: 1995*year + 3*month + 1*day. Note: operations are not commutative.

## Constructor & Destructor Documentation

booster::locale::date_time_period_set::date_time_period_set | ( |  | ) |

inline

Default constructor - empty set

booster::locale::date_time_period_set::date_time_period_set | ( | period::period_type | f | ) |

inline

Create a set of single period with value 1

booster::locale::date_time_period_set::date_time_period_set | ( | date_time_period const & | fl | ) |

inline

Create a set of single period fl

## Member Function Documentation

void booster::locale::date_time_period_set::add | ( | date_time_period | f | ) |

inline

Append date_time_period f to the set

References size().

Referenced by booster::locale::operator+(), and booster::locale::operator-().

date_time_period const& booster::locale::date_time_period_set::operator[] | ( | size_t | n | ) | const

inline

Get item at position n the set, n should be in range [0,size)

References size().

size_t booster::locale::date_time_period_set::size | ( |  | ) | const

inline

Get number if items in list

Referenced by add(), booster::locale::operator+(), booster::locale::operator-(), and operator[]().

The documentation for this class was generated from the following file:

- booster/locale/date_time.h